# trie_policy.hpp File Reference

## Detailed Description

Contains trie-related policies.

Definition in file trie_policy.hpp.

Go to the source code of this file.

## Namespaces

- namespace pb_ds

## Classes

- struct pb_ds::null_trie_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >
- struct pb_ds::string_trie_e_access_traits< String, Min_E_Val, Max_E_Val, Reverse, Allocator >
- class pb_ds::trie_order_statistics_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >
- class pb_ds::trie_prefix_search_node_update< Const_Node_Iterator, Node_Iterator, E_Access_Traits, Allocator >

## Defines

- #define PB_DS_BASE_C_DEC
- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_T_DEC
- #define PB_DS_CLASS_T_DEC
- #define PB_DS_STATIC_ASSERT(UNIQUE, E)